from django.db import models

class Promocion(models.Model):
    # Campos detectados en tu getData y setData
    nombre = models.CharField(max_length=255)
    fecha_inicio = models.DateField(null=True, blank=True)
    fecha_modificacion = models.DateField(null=True, blank=True)
    descripcion = models.TextField(null=True, blank=True)
    activo = models.BooleanField(default=True)
    
    # Campo usado en tu JOIN de setData
    categoria_id = models.IntegerField(null=True, blank=True)

    class Meta:
        # ¡CRÍTICO! Esto le dice a Django que la tabla se llame exactamente 
        # como la has escrito en tu SQL manual
        db_table = 'promociones'

    def __str__(self):
        return self.nombre